com.unitech.stuhflBridge

## Class BR_ST25RU3993_Gb29768_InventoryCfg.Fields

- java.lang.Object
- - com.unitech.stuhflBridge.BR_ST25RU3993_Gb29768_InventoryCfg.Fields

- Enclosing class:
    BR_ST25RU3993_Gb29768_InventoryCfg

      protected class BR_ST25RU3993_Gb29768_InventoryCfg.Fields
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `adaptiveSensitivity_enable`
    `int` | `adaptiveSensitivity_interval`
    `int` | `antiCollision_ccnThreshold`
    `int` | `antiCollision_cinThreshold`
    `int` | `antiCollision_endThreshold`
    `int` | `autoTuning_algorithm`
    `boolean` | `autoTuning_falsePositiveDetection`
    `int` | `autoTuning_interval`
    `short` | `autoTuning_level`
    `boolean` | `option_readTID`
    `int` | `queryParams_condition`
    `int` | `queryParams_session`
    `int` | `queryParams_target`
    `boolean` | `queryParams_targetDepletionMode`
    `boolean` | `queryParams_toggleTarget`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Fields()`
    `Fields(int autoTuning_interval, short autoTuning_level, int autoTuning_algorithm, boolean autoTuning_falsePositiveDetection, int adaptiveSensitivity_interval, boolean adaptiveSensitivity_enable, int queryParams_condition, int queryParams_session, int queryParams_target, boolean queryParams_toggleTarget, boolean queryParams_targetDepletionMode, int antiCollision_endThreshold, int antiCollision_ccnThreshold, int antiCollision_cinThreshold, boolean info_readTID)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### autoTuning_interval

          public int autoTuning_interval

    - #### autoTuning_level

          public short autoTuning_level

    - #### autoTuning_algorithm

          public int autoTuning_algorithm

    - #### autoTuning_falsePositiveDetection

          public boolean autoTuning_falsePositiveDetection

    - #### adaptiveSensitivity_interval

          public int adaptiveSensitivity_interval

    - #### adaptiveSensitivity_enable

          public boolean adaptiveSensitivity_enable

    - #### queryParams_condition

          public int queryParams_condition

    - #### queryParams_session

          public int queryParams_session

    - #### queryParams_target

          public int queryParams_target

    - #### queryParams_toggleTarget

          public boolean queryParams_toggleTarget

    - #### queryParams_targetDepletionMode

          public boolean queryParams_targetDepletionMode

    - #### antiCollision_endThreshold

          public int antiCollision_endThreshold

    - #### antiCollision_ccnThreshold

          public int antiCollision_ccnThreshold

    - #### antiCollision_cinThreshold

          public int antiCollision_cinThreshold

    - #### option_readTID

          public boolean option_readTID

  - ### Constructor Detail

    - #### Fields

          public Fields(int autoTuning_interval,
                        short autoTuning_level,
                        int autoTuning_algorithm,
                        boolean autoTuning_falsePositiveDetection,
                        int adaptiveSensitivity_interval,
                        boolean adaptiveSensitivity_enable,
                        int queryParams_condition,
                        int queryParams_session,
                        int queryParams_target,
                        boolean queryParams_toggleTarget,
                        boolean queryParams_targetDepletionMode,
                        int antiCollision_endThreshold,
                        int antiCollision_ccnThreshold,
                        int antiCollision_cinThreshold,
                        boolean info_readTID)

    - #### Fields

          public Fields()

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`